Bug 191973 - libnl Package won't build in mock
libnl Package won't build in mock
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libnl (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
:
Depends On:
Blocks: BuildReqBlocker
  Show dependency treegraph
 
Reported: 2006-05-16 13:01 EDT by Andreas Thienemann
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: 1.0-0.9.pre5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-28 18:50:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Build Log on x86_64 (4.40 KB, text/plain)
2006-05-16 13:01 EDT, Andreas Thienemann
no flags Details

  None (edit)
Description Andreas Thienemann 2006-05-16 13:01:06 EDT
libnl-1.0-0.8.pre5 won't build in mock on x86_64:

In file included from /usr/include/asm/types.h:5,
                 from /usr/include/linux/types.h:6,
                 from ../include/netlink/netlink.h:21,
                 from ../include/netlink/route/link.h:15,
                 from ../include/netlink-types.h:16,
                 from ../include/netlink-local.h:52,
                 from addr.c:28:
/usr/include/asm-x86_64/types.h:23: error: conflicting types for '__u64'
../include/netlink-local.h:37: error: previous declaration of '__u64' was here
addr.c: In function 'nl_addr2str':
addr.c:805: warning: pointer targets in passing argument 1 of 'dnet_ntop' differ
in signedness
make[2]: *** [addr.o] Error 1
make[1]: *** [all] Error 2
Entering include
/bin/sh: line 0: cd: include: No such file or directory
Entering doc
/bin/sh: line 0: cd: doc: No such file or directory
Entering src
/bin/sh: line 0: cd: src: No such file or directory
make: *** [all] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.92928 (%build)


Buildlog is attached.
Comment 1 Andreas Thienemann 2006-05-16 13:01:07 EDT
Created attachment 129234 [details]
Build Log on x86_64
Comment 2 Matt Domsch 2006-05-28 18:50:16 EDT
libnl-1.0-0.9.pre5.src.rpm builds on i386 and x86_64.

Note You need to log in before you can comment on or make changes to this bug.